SND_AC97_PCM_OPEN(9)

NAME
snd_ac97_pcm_open - opens the given AC97 pcm

SYNOPSIS

int snd_ac97_pcm_open(struct ac97_pcm * pcm, unsigned int rate, enum ac97_pcm_cfg cfg, unsigned short slots);

ARGUMENTS

pcm
    the ac97 pcm instance

rate
    rate in Hz, if codec does not support VRA, this value must be 48000Hz

cfg
    output stream characteristics

slots
    a subset of allocated slots (snd_ac97_pcm_assign) for this pcm

DESCRIPTION

It locks the specified slots and sets the given rate to AC97 registers.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT